<?php
/**
* SEO4ALL. Extension for the phpBB Forum Software package.
*
* @copyright (c) 2017 https://thetopfew.com
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
**/

namespace thetopfew\seo4all\acp;

class functions_info
{
	public function module()
	{
		return array(
			'filename'	=> '\thetopfew\seo4all\acp\functions_module',
			'title'		=> 'SEO4ALL_TITLE',
			'modes'		=> array(
				'sitemap'	=> array(
					'title' => 'ACP_SITEMAP_SETTINGS',
					'auth' => 'ext_thetopfew/seo4all && acl_a_board',
					'cat' => array('SEO4ALL_TITLE')),
				'settings'	=> array(
					'title' => 'ACP_TOPICTAGS_SETTINGS',
					'auth' => 'ext_thetopfew/seo4all && acl_a_board',
					'cat' => array('SEO4ALL_TITLE')
				),
				'whitelist'	=> array(
					'title' => 'ACP_TOPICTAGS_WHITELIST',
					'auth' => 'ext_thetopfew/seo4all && acl_a_board',
					'cat' => array('SEO4ALL_TITLE')
				),
				'blacklist'	=> array(
					'title' => 'ACP_TOPICTAGS_BLACKLIST',
					'auth' => 'ext_thetopfew/seo4all && acl_a_board',
					'cat' => array('SEO4ALL_TITLE')
				),
				'tags'	=> array(
					'title' => 'ACP_TOPICTAGS_MANAGE_TAGS',
					'auth' => 'ext_thetopfew/seo4all && acl_a_board',
					'cat' => array('SEO4ALL_TITLE')
				),
			),
		);
	}
}